org.eclipse.emf.cdo.spi.server

## Interface InternalRepository.PackagesInitializedEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    InternalRepository

      public static interface InternalRepository.PackagesInitializedEvent
      extends IEvent

  Since:
    4.6
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<InternalCDOPackageUnit>` | `getPackageUnits()`
    `InternalRepository` | `getSource()`
    `boolean` | `isFirstStart()`

- - ### Method Detail

    - #### getSource

          InternalRepository getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### isFirstStart

          boolean isFirstStart()

    - #### getPackageUnits

          java.util.List<InternalCDOPackageUnit> getPackageUnits()

      Since:
        4.7

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html